org.springframework.core

## Interface ControlFlow

-     public interface ControlFlow

  Interface to be implemented by objects that can return information about the current call stack. Useful in AOP (as in AspectJ cflow concept) but not AOP-specific.
  Since:
    02.02.2004
  Author:
    Rod Johnson

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `under(Class clazz)` Detect whether we're under the given class, according to the current stack trace.
    `boolean` | `under(Class clazz, String methodName)` Detect whether we're under the given class and method, according to the current stack trace.
    `boolean` | `underToken(String token)` Detect whether the current stack trace contains the given token.

- - ### Method Detail

    - #### under

          boolean under(Class clazz)

      Detect whether we're under the given class, according to the current stack trace.
      Parameters:
        `clazz` - the clazz to look for

    - #### under

          boolean under(Class clazz,
                      String methodName)

      Detect whether we're under the given class and method, according to the current stack trace.
      Parameters:
        `clazz` - the clazz to look for
        `methodName` - the name of the method to look for

    - #### underToken

          boolean underToken(String token)

      Detect whether the current stack trace contains the given token.
      Parameters:
        `token` - the token to look for